Skip to main content
GET
/
v1
/
connect
/
{project_id}
/
components
cURL
curl --request GET \
  --url https://api.pipedream.com/v1/connect/{project_id}/components \
  --header 'Authorization: Bearer <token>' \
  --header 'x-pd-environment: <x-pd-environment>'
import { PipedreamClient } from "@pipedream/sdk";

const client = new PipedreamClient({
clientId: "YOUR_CLIENT_ID",
clientSecret: "YOUR_CLIENT_SECRET",
projectEnvironment: "YOUR_PROJECT_ENVIRONMENT",
projectId: "YOUR_PROJECT_ID"
});
const pageableResponse = await client.components.list({
after: "after",
before: "before",
limit: 1,
q: "q",
app: "app",
registry: "public",
componentType: "trigger"
});
for await (const item of pageableResponse) {
console.log(item);
}

// Or you can manually iterate page-by-page
let page = await client.components.list({
after: "after",
before: "before",
limit: 1,
q: "q",
app: "app",
registry: "public",
componentType: "trigger"
});
while (page.hasNextPage()) {
page = page.getNextPage();
}

// You can also access the underlying response
const response = page.response;
from pipedream import Pipedream

client = Pipedream(
project_id="YOUR_PROJECT_ID",
client_id="YOUR_CLIENT_ID",
client_secret="YOUR_CLIENT_SECRET",
)
response = client.components.list(
after="after",
before="before",
limit=1,
q="q",
app="app",
registry="public",
component_type="trigger",
)
for item in response:
yield item
# alternatively, you can paginate page-by-page
for page in response.iter_pages():
yield page
package com.example.usage;

import com.pipedream.api.BaseClient;
import com.pipedream.api.resources.components.requests.ComponentsListRequest;
import com.pipedream.api.resources.components.types.ComponentsListRequestRegistry;
import com.pipedream.api.types.ComponentType;

public class Example {
public static void main(String[] args) {
BaseClient client = BaseClient.withCredentials("<clientId>", "<clientSecret>")
.projectId("YOUR_PROJECT_ID")
.build()
;

client.components().list(
ComponentsListRequest
.builder()
.after("after")
.before("before")
.limit(1)
.q("q")
.app("app")
.registry(ComponentsListRequestRegistry.PUBLIC)
.componentType(ComponentType.TRIGGER)
.build()
);
}
}
package main

import (
"fmt"
"net/http"
"io"
)

func main() {

url := "https://api.pipedream.com/v1/connect/{project_id}/components"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("x-pd-environment", "<x-pd-environment>")
req.Header.Add("Authorization", "Bearer <token>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
{
  "data": [
    {
      "key": "<string>",
      "name": "GitLab: List Commits",
      "version": "<string>",
      "configurable_props": [
        {
          "name": "<string>",
          "type": "alert",
          "content": "<string>",
          "label": "<string>",
          "description": "<string>",
          "optional": true,
          "disabled": true,
          "readOnly": true,
          "hidden": true,
          "remoteOptions": true,
          "useQuery": true,
          "reloadProps": true,
          "withLabel": true
        }
      ],
      "description": "<string>",
      "component_type": "<string>",
      "annotations": {
        "destructiveHint": true,
        "idempotentHint": true,
        "openWorldHint": true,
        "readOnlyHint": true,
        "title": "<string>"
      }
    }
  ],
  "page_info": {
    "count": 10,
    "total_count": 120,
    "start_cursor": "<string>",
    "end_cursor": "<string>"
  }
}
{
"error": "<string>",
"code": "<string>",
"details": {}
}
{
"error": "Throttled"
}

Authorizations

Authorization
string
header
required

A short-lived Connect token for client-side requests on behalf of an end user. Generate one via the Create Connect token endpoint.

Headers

x-pd-environment
enum<string>
required

The environment in which the server client is running

Available options:
development,
production

Path Parameters

project_id
string
required

The project ID, which starts with proj_.

Pattern: ^proj_[a-zA-Z0-9]+$

Query Parameters

after
string

The cursor to start from for pagination

before
string

The cursor to end before for pagination

limit
integer

The maximum number of results to return

q
string

A search query to filter the components

app
string

The ID or name slug of the app to filter the components

registry
enum<string>
default:public

The registry to retrieve components from

Available options:
public,
private,
all
component_type
enum<string>

The type of the component to filter the components The type of component (trigger or action)

Available options:
trigger,
action

Response

returns public + private without permission

Response received when retrieving a list of components

data
object[]
required
page_info
object
required